UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRaw Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRaw:

## Public Member Functions
String | toDbgString ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Attributes
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Protected Attributes
int | debug_level = 0

## Detailed Description

LBMSDMRaw is the base class for raw data type classes. Raw data type classes are used to hide the hardware or language idiosyncrasies from the main classes. For example, Java does not natively support unsigned data types. Derived classes of LBMSDMRaw allow these idiosyncrasies to be minimised.

## Member Function Documentation

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

The documentation for this class was generated from the following file:

- LBMSDMRaw.java